right to left Arabic language tables

Bug #1569771 reported by Salaheddine chebaro on 2016-04-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

Hello,

text in right to left table contents like Arabic books are appearing left aligned. The text itself is right to left but its left aligned.

Please check image attached.

Thank you

Salaheddine chebaro (salah-h) wrote :

Attach a file which after conversion demonstrates the problem to this bug report. You can do that by clicking the "Add attachment or patch" link at the bottom of the bug's page. If the file you are attaching is copyrighted, mark the bug as private. You can do this by clicking the tiny lock icon next to "This report contains Public information" in the top right area of the bug's page.

 status incomplete

Changed in calibre:
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for calibre because there has been no activity for 60 days.]

Changed in calibre:
status: Incomplete → Expired
Salaheddine chebaro (salah-h) wrote :

Please find attached sample file where content in the table should be right to left but its left to right.

Thank you

Eli Schwartz (eschwartz) on 2016-08-16
Changed in calibre:
status: Expired → New
Kovid Goyal (kovid) wrote :

I need the file which when converted by calibre shows the problem, not the result of the conversion. The file you attached looks like the result of a conversion.

Changed in calibre:
status: New → Incomplete
Salaheddine chebaro (salah-h) wrote :
  • test.docx Edit (173.4 KiB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)

please find word file attached

Kovid Goyal (kovid) wrote :

This happens because the block style on the paragraphs in your word
document is set to left align. You should change that block style to
right align and you will be fine. While Word seems to override that
block align style for RTL text, I can find no clear basis for when it
does that, so converting that behavior into HTML directly is not
possible.

 status wontfix

Changed in calibre:
status: Incomplete → Won't Fix

Hello Kovid,

Thanks for your reply.

Please can you explain more what do you mean by block style? And can please tell me the steps to fix it ?

Thanks

Sent from my iPhone

> On Aug 19, 2016, at 9:25 PM, Kovid Goyal <email address hidden> wrote:
>
> This happens because the block style on the paragraphs in your word
> document is set to left align. You should change that block style to
> right align and you will be fine. While Word seems to override that
> block align style for RTL text, I can find no clear basis for when it
> does that, so converting that behavior into HTML directly is not
> possible.
>
> status wontfix
>
> ** Changed in: calibre
> Status: Incomplete => Won't Fix
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1569771
>
> Title:
> right to left Arabic language tables
>
> Status in calibre:
> Won't Fix
>
> Bug description:
> Hello,
>
>
> text in right to left table contents like Arabic books are appearing left aligned. The text itself is right to left but its left aligned.
>
> Please check image attached.
>
> Thank you
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1569771/+subscriptions

Block style means paragraph style. If you dont know how to change styles
in word, there are plenty of tutorials available on the subject. Just
google it.

  • test1.docx Edit (287.8 KiB, application/vnd.openxmlformats-officedocument.wordprocessingml.document; name="test1.docx")
  • test1 - user.epub Edit (88.0 KiB, application/octet-stream; name="test1 - user.epub")

Hello Kovid,

Attached is another example with one table content RTL and another table content LTR. What's funny here is that the LTR appears in epub RTL and and RTL appears LTR.

I am quite sure there is a bug here.

Thank you

Salah Chebaro صلاح شبارو
CEO
Tel: +9611811385
Mobile: 009613223228
P.OBox: 13-53151|Chouran 2039-4402 Beirut, Lebanon
Ain eltinah,Reem bldg.
http://www.neelwafurat.com

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Kovid Goyal
Sent: Saturday, August 20, 2016 9:33 AM
To: Salah Chebaro <email address hidden>
Subject: [Bug 1569771] Re: calibre bug 1569771

Block style means paragraph style. If you dont know how to change styles in word, there are plenty of tutorials available on the subject. Just google it.

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/1569771

Title:
  right to left Arabic language tables

Status in calibre:
  Won't Fix

Bug description:
  Hello,

  text in right to left table contents like Arabic books are appearing left aligned. The text itself is right to left but its left aligned.

  Please check image attached.

  Thank you

To manage notifications about this bug go to:
https://bugs.launchpad.net/calibre/+bug/1569771/+subscriptions

One of your tables has right aligned paragraph style and one has left
aligned paragraph style.
That is what is shown in the epub as well. Once again, simply set your
paragraph styles to be right aligned and you will be fine.

  • test2.docx Edit (288.1 KiB, application/vnd.openxmlformats-officedocument.wordprocessingml.document; name="test2.docx")

Hello Kovid,

Please check this hope its clearer now. RTL appears LTR and vice versa.

Pleae note that in this sample the table direction is right to left.

Thank you

Salah Chebaro صلاح شبارو
CEO
Tel: +9611811385
Mobile: 009613223228
P.OBox: 13-53151|Chouran 2039-4402 Beirut, Lebanon
Ain eltinah,Reem bldg.
http://www.neelwafurat.com

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Kovid Goyal
Sent: Monday, August 22, 2016 3:48 PM
To: Salah Chebaro <email address hidden>
Subject: [Bug 1569771] Re: calibre bug 1569771

One of your tables has right aligned paragraph style and one has left aligned paragraph style.
That is what is shown in the epub as well. Once again, simply set your paragraph styles to be right aligned and you will be fine.

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/1569771

Title:
  right to left Arabic language tables

Status in calibre:
  Won't Fix

Bug description:
  Hello,

  text in right to left table contents like Arabic books are appearing left aligned. The text itself is right to left but its left aligned.

  Please check image attached.

  Thank you

To manage notifications about this bug go to:
https://bugs.launchpad.net/calibre/+bug/1569771/+subscriptions

Yes, I know. Like I said before, Word inverts the text-align property.
However, calibre cannot do the same during conversion because the
circumstances in which word does this are not clear. Therefore, you need
to se the paragraph alignment to right in word, and you will be fine.

Kovid Goyal (kovid) wrote :

On second thoughts, I might be able to figure out a way to improve the
emulation of Word's redering of RTL text. It wont match in all
situations, but it should be better than before, and it should fix your
attached test file.

Fixed in branch master. The fix will be in the next release. calibre is usually released every Friday.

 status fixreleased

Changed in calibre:
status: Won't Fix → Fix Released

Thank you Kovid.

appreciate your help.

Best,

Salah

Sent from my iPhone

> On Aug 22, 2016, at 6:21 PM, Kovid Goyal <email address hidden> wrote:
>
> Fixed in branch master. The fix will be in the next release. calibre is
> usually released every Friday.
>
> status fixreleased
>
> ** Changed in: calibre
> Status: Won't Fix => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1569771
>
> Title:
> right to left Arabic language tables
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Hello,
>
>
> text in right to left table contents like Arabic books are appearing left aligned. The text itself is right to left but its left aligned.
>
> Please check image attached.
>
> Thank you
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1569771/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers